package server

import (
	"context"

	"repositories.action2quare.com/ayo/houston/shared/protos"
)

type monitorServer struct {
	protos.UnimplementedMonitorServer
}

func newMonitorServer() *monitorServer {
	return &monitorServer{}
}
func (ms *monitorServer) Report(ctx context.Context, metrics *protos.Metrics) (*protos.Empty, error) {
	select {
	case <-ctx.Done():
	default:
	}
	return &protos.Empty{}, nil
}
